diff --git "a/C:\\Users\\offbyone\\AppData\\Local\\Temp\\FonDFD5.tmp\\FontAssetCore-8c436a4-left.cs" "b/C:\\Users\\offbyone\\Documents\\Visual Studio Projects\\MediaPortal\\MediaPortal-2\\MediaPortal\\Source\\UI\\SkinEngine\\ContentManagement\\AssetCore\\FontAssetCore.cs"
index 5a387e7..8056e22 100644
--- "a/C:\\Users\\offbyone\\AppData\\Local\\Temp\\FonDFD5.tmp\\FontAssetCore-8c436a4-left.cs"
+++ "b/C:\\Users\\offbyone\\Documents\\Visual Studio Projects\\MediaPortal\\MediaPortal-2\\MediaPortal\\Source\\UI\\SkinEngine\\ContentManagement\\AssetCore\\FontAssetCore.cs"	
@@ -78,6 +78,7 @@ namespace MediaPortal.UI.SkinEngine.ContentManagement.AssetCore
           Height = MAX_HEIGHT
         };
       _charSet.Base = _charSet.RenderedSize * face.ascender / face.height;
+	  _charSet.MaxHeight = (int)Math.Ceiling(_charSet.RenderedSize * (face.bbox.yMax + Math.Abs(face.bbox.yMin)) / (double)face.height);
     }
 
     #endregion
@@ -191,7 +192,10 @@ namespace MediaPortal.UI.SkinEngine.ContentManagement.AssetCore
     /// <returns>The height of the text.</returns>
     public float TextHeight(float fontSize, int lineCount)
     {
-      return LineHeight(fontSize) * (lineCount + 1) - Base(fontSize) - 1.0f;
+      if (lineCount == 1) 
+        return _charSet.MaxHeight;
+      else 
+        return LineHeight(fontSize) * (lineCount + 1) - Base(fontSize) - 1.0f;
     }
 
     /// <summary>
@@ -542,6 +546,7 @@ namespace MediaPortal.UI.SkinEngine.ContentManagement.AssetCore
     public int RenderedSize;
     public int Width;
     public int Height;
+	public int MaxHeight;
     private BitmapCharacter[] _characters;
 
     public BitmapCharacterSet(int numberOfGlyphs)
